www.cendio.com
Bug 4835 - SVG icon isn't noticed by desktop environment
: SVG icon isn't noticed by desktop environment
Status: CLOSED FIXED
: ThinLinc
Misc
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-10-10 10:58 by
Modified: 2014-04-01 16:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-10-10 10:58:45
Noticed this when doing a fresh install of the client on Fedora 19 with Gnome
3. Only the PNG icons were picked up, not the SVG one.

I suspect this is because we do not use xdg-icon-resource to install the SVG
(since it doesn't support those icons). The DE will then notice the PNG icons
as they are added, but does not refresh things once the SVG is in place.
Running "xdg-icon-resource forceupdate" fixes things.

We should probably start adding the icons using --noupdate, and then have a
forceupdate at the end instead. Same thing with the removal.
------- Comment #1 From cendio 2013-12-16 16:16:34 -------
Fixed in 28212, but keeping open until test with next build.
------- Comment #2 From cendio 2013-12-17 16:41:31 -------
Did a quick test, basic functionality seems to work, but I'm not sure if my
XFCE picks up the SVG or not. Leaving this to the QA tester.
------- Comment #3 From cendio 2013-12-18 10:05:11 -------
We need to fix the other packages as well, not just the client.
------- Comment #4 From cendio 2013-12-18 14:10:20 -------
(In reply to comment #3)
> We need to fix the other packages as well, not just the client.

Fixed in 28236.
------- Comment #5 From cendio 2014-03-26 17:08:53 -------
Verified the problem using 4.1.1 client and the fix using build 4303. Icons was
updated. I also verified that the changes to server installation also works.